| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
SeisMerger Class Reference
Seis

Merges 2D and 3D post-stack data. More...

`#include <seismerge.h>`

Inheritance diagram for SeisMerger:
[legend]

## Public Member Functions
| SeisMerger (const IOPar &)
| SeisMerger (const ObjectSet< IOPar > &in, const IOPar &out, bool is2d)
virtual | ~SeisMerger ()
int | nextStep () override
od_int64 | nrDone () const override
void | setScaler (Scaler *)
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
bool | stacktrcs_
| If not, first trace will be used.
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Protected Member Functions
void | get3DTraces ()
SeisTrc * | getNewTrc ()
SeisTrc * | getStacked (SeisTrcBuf &)
SeisTrc * | getTrcFrom (SeisTrcReader &)
bool | toNextPos ()
int | writeFromBuf ()
int | writeTrc (SeisTrc *)
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
BinID | curbid_
int | currdridx_
uiString | errmsg_
bool | is2d_
int | nrpos_
int | nrsamps_
ObjectSet< SeisTrcReader > | rdrs_
Scaler * | scaler_
SamplingData< float > | sd_
int | totnrpos_
SeisTrcBuf & | trcbuf_
SeisTrcWriter * | wrr_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Merges 2D and 3D post-stack data.

<>

## Constructor & Destructor Documentation

## ◆ SeisMerger() [1/2]

SeisMerger::SeisMerger | ( | const ObjectSet< IOPar > & | in,
|  | const IOPar & | out,
|  | bool | is2d )

## ◆ SeisMerger() [2/2]

SeisMerger::SeisMerger | ( | const IOPar & |  | ) |

## ◆ ~SeisMerger()

virtual SeisMerger::~SeisMerger | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get3DTraces()

void SeisMerger::get3DTraces | ( |  | ) |
| protected

## ◆ getNewTrc()

SeisTrc * SeisMerger::getNewTrc | ( |  | ) |
| protected

## ◆ getStacked()

SeisTrc * SeisMerger::getStacked | ( | SeisTrcBuf & |  | ) |
| protected

## ◆ getTrcFrom()

SeisTrc * SeisMerger::getTrcFrom | ( | SeisTrcReader & |  | ) |
| protected

## ◆ nextStep()

int SeisMerger::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 SeisMerger::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ setScaler()

void SeisMerger::setScaler | ( | Scaler * |  | ) |

## ◆ toNextPos()

bool SeisMerger::toNextPos | ( |  | ) |
| protected

## ◆ totalNr()

od_int64 SeisMerger::totalNr | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString SeisMerger::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString SeisMerger::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ writeFromBuf()

int SeisMerger::writeFromBuf | ( |  | ) |
| protected

## ◆ writeTrc()

int SeisMerger::writeTrc | ( | SeisTrc * |  | ) |
| protected

## Member Data Documentation

## ◆ curbid_

BinID SeisMerger::curbid_
| protected

## ◆ currdridx_

int SeisMerger::currdridx_
| protected

## ◆ errmsg_

uiString SeisMerger::errmsg_
| protected

## ◆ is2d_

bool SeisMerger::is2d_
| protected

## ◆ nrpos_

int SeisMerger::nrpos_
| protected

## ◆ nrsamps_

int SeisMerger::nrsamps_
| protected

## ◆ rdrs_

ObjectSet<SeisTrcReader> SeisMerger::rdrs_
| protected

## ◆ scaler_

Scaler* SeisMerger::scaler_
| protected

## ◆ sd_

SamplingData<float> SeisMerger::sd_
| protected

## ◆ stacktrcs_

bool SeisMerger::stacktrcs_

If not, first trace will be used.

## ◆ totnrpos_

int SeisMerger::totnrpos_
| protected

## ◆ trcbuf_

SeisTrcBuf& SeisMerger::trcbuf_
| protected

## ◆ wrr_

SeisTrcWriter* SeisMerger::wrr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025